<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        * {
            margin: 0;
            box-sizing: border-box;
        }

        #footer,
        #header {
            height: 100px;
            background-color: #333;
            color: #e2e2e2;
        }
        #header {
            height: 100px;
        }
        #footer {
            height: 50px;
        }
        #main {
            height: calc(100vh - 100px - 50px);
            background-color: #e5f7f7;
            overflow-y: auto;
            padding-left: 20%;
            padding-right: 20%;
        }

    </style>
</head>

<body>
    <div id="header">
        <h1>Page viewport</h1>
    </div>
    <div id="main">
        <p>test</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis tenetur itaque cum quisquam quos, cumque
            dolorem qui cupiditate culpa reprehenderit, odit saepe nam commodi quia. Repudiandae dolores optio commodi
            labore.</p>
    </div>
    <div id="footer">
        <p>footer</p>
    </div>
</body>

</html>